Integrations

External sources from which resources and metadata are extracted.

List Integrations

get
/api/v1/integration/integrations

This endpoint will return all the integrations active in your workspace.

Authorizations
Query parameters
typestringOptional

The type of integrations to filter.

Example: bigquery
Responses
chevron-right
200

List of integrations.

application/json
get
/api/v1/integration/integrations

Create Integration

post
/api/v1/integration/integrations

Use this endpoint to create a custom integrationarrow-up-right, or add credentials for a native integration programatically.

Authorizations
Body
namestringOptional

Represents the name of the integration data source or tool.

Example: Sample Integration
typestringOptional

This indicates the type of integration (e.g., "custom").

Example: custom
teamsstring[]Optional

Indicates the teams associated with this integration. The access can be edited in the UI.

Example: ["4c0e07c0-306a-4f4e-8b2b-6a8d7a33d251","a5423e2e-93b8-4b2c-af3c-7b7f0eefea14"]
credentialsobjectOptional

If you are adding a custom integration, the value of this parameter should always be empty {}.

Responses
post
/api/v1/integration/integrations

Get Integration

get
/api/v1/integration/integrations/{integration_id}

This endpoint will provide the details of an individual integration.

Authorizations
Path parameters
integration_idstringRequired

The ID of the integration to retrieve.

Example: d31e59c7-cd52-4398-9d6e-da313a7b7775
Responses
chevron-right
200

Integration details retrieved successfully.

application/json
idstringOptional

The ID of the created integration.

Example: 740904fe-e87d-44f8-8a91-b13631ff2812
created_atstring · date-timeOptional

The timestamp when the integration was created in Secoda in UTC format.

Example: 2023-09-22T15:30:00Z
updated_atstring · date-timeOptional

The timestamp when the integration was last updated in Secoda UTC format.

Example: 2023-09-22T15:30:00Z
namestringOptional

The name of the integration.

Example: Tableau
typestringOptional

The type of integration.

Example: tableau
credentialsobjectOptional

The actual credentials of the integration will NOT be returned. Can you find the easter egg in this response parameter for native integrations?

workspace_idstringOptional

The ID of the associated workspace.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
ssh_tunnelstringOptional

Information about SSH tunnel if one is set update.

Example: None
execute_accessstring[]Optional

List of IDs that have the permission to trigger the extracton.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
scheduled_extractions_hourintegerOptional

Hour for scheduled extractions. Will be null for custom extractions.

Example: 3
scheduled_extractions_frequencyintegerOptional

Frequency in days of scheduled extractions. Will be null for custom extractions.

Example: 7
scheduled_extractions_next_runstring · date-timeOptional

Next scheduled extraction run time. Will be null for custom extractions.

Example: 2023-10-15T09:45:00Z
scheduled_extractions_last_runstringOptional

Last scheduled extraction run time (null in this response).

Example: 2023-10-15T09:45:00Z
propertiesobjectOptional

Additional properties associated with the integration.

preview_access_usersstring[]Optional

List of users IDs with access to preview the data in the integration.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
preview_access_rolesstring[]Optional

List of roles that are allowed to preview the data in the integration. Admin Editor Viewer

Example: ["Admin","Editor"]
preview_access_groupsstring[]Optional

List of users group IDs with access to preview the data in the integration.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
teamsstring[]Optional

List of team IDs associated with the integration.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260"]
get
/api/v1/integration/integrations/{integration_id}

Delete Integration

delete
/api/v1/integration/integrations/{integration_id}

This endpoint deletes a specific integration by its ID.

Authorizations
Path parameters
integration_idstringRequired

ID of the integration to delete

Example: e7691426-2c2a-46b4-98e7-d09d0b82b2b1
Responses
delete
/api/v1/integration/integrations/{integration_id}

No content

Upload Integration Metadata (via CSV)

post
/api/v1/integration/integrations/{integration_id}/import_metadata

This endpoint allows the upload of integration metadata using a CSV. This can also be done through the UI. See more about CSV uploads herearrow-up-right.

Authorizations
Path parameters
integration_idstringRequired

The ID of the integration to upload metadata for.

Example: d31e59c7-cd52-4398-9d6e-da313a7b7775
Body
filestring · binaryOptional

The path to the CSV file containing your metadata and resources. The format of the CSV file can be found here.

Example: path/to/your/file.csv
Responses
chevron-right
200

Integration metadata uploaded successfully.

No content

post
/api/v1/integration/integrations/{integration_id}/import_metadata

No content

Upload Integration Metadata (via JSONL)

post
/api/v1/integration/integrations/{integration_id}/import_jsonl_metadata

This endpoint allows the upload of integration metadata as well as integration lineage using a JSONL file. This can also be done through the UI. See more about JSONL uploads herearrow-up-right.

Authorizations
Path parameters
integration_idstringRequired

The ID of the integration to upload metadata and/or lineage for.

Example: d31e59c7-cd52-4398-9d6e-da313a7b7775
Body
resources_filestring · binaryRequired

The path to the your resources file. The expected formatting of this file can be found here.

Example: path/to/your/resources_file.jsonl
lineages_filestring · binaryOptional

The path to the your lineages file. The expected formatting of this file can be found here.

Example: path/to/your/lineages_file.jsonl
Responses
chevron-right
200

Integration JSONL file uploaded successfully.

No content

post
/api/v1/integration/integrations/{integration_id}/import_jsonl_metadata

No content

Upload dbt Core Artifacts

post
/api/v1/integration/dbt/{integration_id}/upload_artifacts/
Authorizations
Path parameters
integration_idstringRequired

The ID of the dbt Core integration

Body
run_resultsstring · binaryRequired
manifeststring · binaryRequired
Responses
chevron-right
200

Artifacts uploaded successfully.

No content

post
/api/v1/integration/dbt/{integration_id}/upload_artifacts/
200

Artifacts uploaded successfully.

No content

Trigger dbt Core Sync

post
/api/v1/integration/dbt/{integration_id}/trigger/
Authorizations
Path parameters
integration_idstringRequired

The ID of the dbt Core integration

Responses
chevron-right
200

Integration sync triggered successfully.

No content

post
/api/v1/integration/dbt/{integration_id}/trigger/

No content

Get Entities With Failing Tests

get
/api/v1/integration/dbt/{integration_id}/failing_tests/

Get entities with tests that are failing or have a warning.

Authorizations
Path parameters
integration_idstringRequired
Responses
chevron-right
200

OK

application/json
warningstring[]Required
failingstring[]Required
get
/api/v1/integration/dbt/{integration_id}/failing_tests/

List Slack Conversations or Channels

get
/api/v2/integration_v2/slack/conversations/list/

Use this endpoint to list all available Slack conversations or channels.

Authorizations
Responses
chevron-right
200

OK

application/json
idstringRequired
namestringRequired
get
/api/v2/integration_v2/slack/conversations/list/
200

OK

Last updated

Was this helpful?